#' Covid19Wastewater: A package for running Covid19 wastewater concentration analysis
#'
#' This is an R package of utilities to perform wastewater data analysis for pathogenic surveillance and monitoring. 
#' 
#' This project is a collaboration between the University of Wiscosin's \href{https://datascience.wisc.edu}{Data Science Institute (DSI)}, the \href{https://www.dhs.wisconsin.gov/covid-19/wastewater.htm}{Wisconsin Department of Health Services (DHS)}, and the \href{https://www.slh.wisc.edu/environmental/covid-19-wastewater/}{State Lab of Hygiene (SLH)}.
#' 
#' If you need help getting started view our \href{https://github.com/UW-Madison-DSI/Covid19Wastewater/blob/main/docs/getting-started/Starting_Guide.md}{getting started guide}
#' 
#' 
#' @section Built in data:
#' View our data vignette to learn more about our built in data.
#' To view what each column name means view our \href{https://github.com/UW-Madison-DSI/Covid19Wastewater/blob/main/docs/data/data_columns_discription.md}{Data_Description}
#' vignette(HFG_data_case)
#' vignette(longitudinal_data_case)
#' vignette(variant_data)
#' vignette(HFG_data_waste)
#' vignette(aux_info)
#' vignette(longitudinal_data_waste)
#' vignette(Intercepter_data_case)
#' vignette(example_data)
#' vignette(population_data)
#' @section Data Prep:
#' Learn how to prep our data here for analysis
#' vignette(calculated_info)
#' vignette(outliers)
#' vignette(smoothing)
#' 
#' @section Analysis tools:
#' Learn how to analize using our methods or create your own.
#' vignette(time_series_offset)
#' vignette(linear_forest)
#'
#'
#'View more in our github repo: \href{https://github.com/UW-Madison-DSI/Covid19Wastewater}{Here}
#'
#' @docType package
#' @name Covid19Wastewater
NULL
